let Name = prompt("Input your Name");
let Age = prompt("Input your Age");
if (Age < 18) {
    alert("You are not allowed to visit this website");
}
else if ( Age <= 22 ) {
    if (confirm("Are you sure you want to continue?")) {
        alert ("Welcome, " +Name) ;
    } else {
        alert ("You are not allowed to visit this website");
    }
}
else {
    alert("Welcome, " +Name);
}



// // Теоретический вопрос
// //
// // 1)  Обьяснить своими словами разницу между обьявлением переменных через var, let и const.
//
// let - её отличие от var в том, что доступная внутри блока (в фигурных скобках) в котором она была создана и в любом вложенном блоке (фигурные скобки). Значение этой переменной можно переназначить в отличии от const.
//      Значение такой переменной обьявленной через const нельзя переназначить. Тоесть оператор const не делает переменную не изменной , а именно не даёт переназначить её на новое значение.
//  Переменная объявленная при помощи var внутри функции имеет локальную область видимости, тоесть доступ к ней есть только в рамках этой функции.
//
// // 2)  Почему объявлять переменную через var считается плохим тоном?
//
// потому что область видимости var переменных ограничена функцией и если мы обратимся к переменной до её объявления то получим Undefined.